## cascading.stats.hadoop
Class HadoopStepStats

    java.lang.Object
      cascading.stats.CascadingStats
          cascading.stats.FlowStepStats
              cascading.stats.hadoop.BaseHadoopStepStats
                  cascading.stats.hadoop.HadoopStepStats

All Implemented Interfaces:
  Serializable

    public abstract class HadoopStepStats

extends BaseHadoopStepStats

HadoopStepStats is a hadoop2 (YARN) specific sub-class for fetching TaskReports in an efficient way.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class cascading.stats.CascadingStats
`CascadingStats.Status`

Field Summary

Fields inherited from class cascading.stats.hadoop.BaseHadoopStepStats
`COUNTER_TIMEOUT_PROPERTY, TIMEOUT_MAX`

Fields inherited from class cascading.stats.CascadingStats
`clientState, STATS_STORE_INTERVAL`

Constructor Summary
`protected` `HadoopStepStats(FlowStep<JobConf> flowStep, ClientState clientState)`

Method Summary
`protected void` `addAttemptsToTaskStats(Map<String,HadoopSliceStats> taskStats, boolean captureAttempts)`
`protected void` `addTaskStats(Map<String,HadoopSliceStats> taskStats, HadoopSliceStats.Kind kind, boolean skipLast)`

Methods inherited from class cascading.stats.hadoop.BaseHadoopStepStats
`cachedCounters, cachedCounters, captureDetail, captureDetail, getChildIDs, getChildren, getCounterGroups, getCounterGroupsMatching, getCountersFor, getCounterValue, getCounterValue, getJobClient, getJobID, getMapProgress, getNumMapTasks, getNumReduceTasks, getReduceProgress, getRunningJob, getStatusURL, getTaskStats, recordChildStats, setTaskStats`

Methods inherited from class cascading.stats.FlowStepStats
`getFlowStep, getID, recordInfo, toString`

Methods inherited from class cascading.stats.CascadingStats

`cleanup, getCountersFor, getCurrentDuration, getDuration, getFinishedTime, getName, getPendingTime, getRunTime, getStartTime, getStatsString, getStatus, getSubmitTime, getThrowable, isEngaged, isFailed, isFinished, isPending, isRunning, isSkipped, isStarted, isStopped, isSubmitted, isSuccessful, markFailed, markPending, markPendingTime, markRunning, markRunTime, markSkipped, markStarted, markStartedThenRunning, markStartTime, markStartToRunTime, markStopped, markSubmitted, markSubmitTime, markSuccessful, prepare, recordStats, setStatsStoreInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HadoopStepStats

    protected HadoopStepStats(FlowStep<JobConf> flowStep,
                              ClientState clientState)

Method Detail

### addTaskStats

    protected void addTaskStats(Map<String,HadoopSliceStats> taskStats,
                                HadoopSliceStats.Kind kind,
                                boolean skipLast)
                         throws IOException

  Specified by:
    `addTaskStats` in class `BaseHadoopStepStats`
  Throws:
    `IOException`

### addAttemptsToTaskStats

    protected void addAttemptsToTaskStats(Map<String,HadoopSliceStats> taskStats,
                                          boolean captureAttempts)

  Specified by:
    `addAttemptsToTaskStats` in class `BaseHadoopStepStats`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.